Skip to main content
GET
/
v1
/
accounts
/
{id}
/
balance
JavaScript
import Augustus from '@augustusbank/typescript-sdk';

const client = new Augustus({
  apiKey: process.env['AUGUSTUS_API_KEY'], // This is the default and can be omitted
});

const response = await client.accounts.retrieveBalance('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');

console.log(response.account_id);
{
  "type": "account_balance",
  "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "amount": "<string>",
  "as_of": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer token for authentication with Augustus Banking API

Path Parameters

id
string<uuid>
required

Unique identifier of the account.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$

Response

200 - application/json

The account balance resource

type
enum<string>
required

Resource type discriminator.

Available options:
account_balance
account_id
string<uuid>
required

Unique identifier of the account.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$
amount
string
required

Available balance amount as a decimal string.

currency
enum<string>
required

ISO 4217 currency code for the balance.

Available options:
EUR,
GBP,
USD,
USDC,
BTC
as_of
string<date-time>
required

ISO 8601 UTC timestamp when the balance was retrieved.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$